List Market Partner Bills
Return DSO (grid usage) and MSO (metering service) invoices with additional information. Use query parameters to filter the result.
curl --request GET \
--url https://api.lumenaza.de/v3/marketpartners/marketpartner_bills/import requests
url = "https://api.lumenaza.de/v3/marketpartners/marketpartner_bills/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.lumenaza.de/v3/marketpartners/marketpartner_bills/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"market_partner": "9900080000007",
"metering_point": "DE1234567890123456789012345678901",
"invoice_number": "INV2020061001",
"sum_amount": 1500.75,
"invoice_date": "2020-06-10",
"target_date": "2020-07-10",
"is_self_billed": true,
"remittance_advice_number": "ADV202005313468XXXX",
"invoice_positions": [
{
"position_number": 11,
"article_number": "9990001000334",
"article_description": "Abgabe KWKG",
"energy_amount": "1170.000",
"energy_amount_unit": "KWH",
"time_amount": null,
"time_amount_unit": null,
"bill_subperiod_start": "2020-01-01",
"bill_subperiod_end": "2020-06-04",
"total_amount_netto": "2.64",
"reduction": null,
"calculation_base_price": "0.00226000",
"calculation_base_price_unit": null,
"tax_percentage": "19.0000",
"reduction_type": null,
"reduction_percent": null,
"correction_factor": null,
"common_invoice_positions": []
}
],
"tax_differentiated_sums": {
"16": {
"gross_prepaid_amount": 200,
"prepaid_tax_amount": 32,
"gross_to_pay_per_tax_rate": 118,
"tax_amount": 18.88
},
"19": {
"gross_prepaid_amount": 300,
"prepaid_tax_amount": 57,
"gross_to_pay_per_tax_rate": 243,
"tax_amount": 46.17
}
},
"bill_period_start": "2020-05-01",
"bill_period_end": "2020-05-31",
"invoice_type": "MVR",
"parent_invoice_number": null
}
]Query Parameters
MPID of the market partner that issued the invoice.
Remittance advice number associated with the invoice.
Response
MPID of the market partner that issued the invoice.
Market location identifier associated with this invoice.
Unique identifier of the market partner invoice.
Payment reference number, if one has been assigned.
Invoice date.
Invoice amount in euros before differentiation by tax rate.
Invoice due date, if available.
Invoice positions associated with this invoice.
Show child attributes
Show child attributes
Amounts aggregated by tax rate for this invoice.
Show child attributes
Show child attributes
Whether the invoice is self-billed.
Start of the billing period.
End of the billing period.
Type of invoice.
ABS- AbschlagsrechnungABR- AbschlussrechnungJVR- TurnusrechnungMVR- MonatsrechnungMMM- Mehr-/MindermengenabrechnungWIM- Rechnung für WiMZVR- Zwischenrechnung13I- Integrierte 13.Rechnung13R- 13. Rechnung
ABS, ABR, JVR, MVR, MMM, WIM, ZVR, 13I, 13R Original invoice number when this invoice is a cancellation.

